## kernel-patch-powerpc-2.4.27 2.4.27-10sarge5

=== config/Makefile ===

apus.default: apus
powerpc.default: powerpc
nubus.default: nubus

%: %.stub
	cat $^

## kernel-patch-powerpc-2.4.27 2.4.27-4

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-4) unstable; urgency=low

  * Seems 2.4.27-3 had missing postinst and co script, fixed it.
    (Closes: #297794)
  * Added --no-print-directory option when generating .config files.
    (Thanks to Colin Watson).

 -- Sven Luther <luther@debian.org>  Thu,  3 Mar 2005 13:44:31 +0100

kernel-patch-powerpc-2.4.27 (2.4.27-3) unstable; urgency=high

  * New package, includes the apus powerpc subarch in addition to the
    traditional powerpc subarch, and tries for nubus subarch support too.

 -- Sven Luther <luther@debian.org>  Mon, 21 Feb 2005 15:51:28 +0100

kernel-patch-powerpc-2.4.27 (2.4.27-2) unstable; urgency=high

  * Rebuilt against kernel-source 2.4.27-6. See kernel-source-2.4.27 changelog
    for details.

 -- Sven Luther <luther@debian.org>  Wed,  1 Dec 2004 13:33:22 +0100

kernel-patch-powerpc-2.4.27 (2.4.27-1) unstable; urgency=high

  * New upstream release.
    The "Let's keep Branden happy" release :).
  * benh has not yet forward ported the 2.4 -benh tree, so this is still based
    on benh's 2.4.26 import.
  * Again, 2.4 kernels are deprecated on powerpc, please use 2.6.8-1 or later
    kernels.
  * Disabled rivafb driver, since it is broken in benh's tree and need to be
    forward ported. Benh doesn't seem inclined to do so, and i don't have the
    hardware. It is not a problem, since pmac/nvidia hardware should work all
    right with offb, and should run 2.6.8 kernels anyway.

 -- Sven Luther <luther@debian.org>  Thu,  2 Sep 2004 22:52:56 +0200

kernel-patch-powerpc-2.4.26 (2.4.26-2) unstable; urgency=high

  * Fixed bad hunks in the patch.
  * Now the source package build-depends on kernel-tree 2.6.26-6 and the patch
    binary package conflicts with earlier versions of kernel-tree.

 -- Sven Luther <luther@debian.org>  Mon, 23 Aug 2004 10:53:57 +0200

kernel-patch-powerpc-2.4.26 (2.4.26-1) unstable; urgency=low

  * New upstream release.
  * Transferred maintainership to the Debian Kernel Team.
  * Patches are now separate in the powerpc/pieces directory.

 -- Sven Luther <luther@debian.org>  Sat, 31 Jul 2004 17:45:36 +0200

kernel-patch-2.4.25-powerpc (2.4.25-8) unstable; urgency=low

  * Built against kernel-source 2.4.25-3 to pull in security fixes and more :
    - Black listed "TOSHIBA CD-ROM XM-1702BC" in drivers/ide/ide-dma.c
      (Moritz Lennert, closes: #222939).
    - Set protocol in ip_route_me_harder in net/core/netfilter.c
      (closes: #236479).
    - Reverted hardsect change in drivers/scsi/sr.c (closes: #232586).
    - Tighten sanity in time_init to 250 PPM in arch/alpha/kernel/time.c
      (Scott Bailey, closes: #233096).
    - Call mkdep on headers with xargs in Makefile.
    - Fixed tuner support on WinTV-D boards in drivers/media/video/bttv-cards.c
      (2.6, closes: #241272).
    - Fixed single word src misalign > dest misalign case in
      arch/alpha/lib/stxncpy.S (glibc, closes: #237884).
    - Enhanced user input validation (Thomas Biege):
      . drivers/char/drm/r128_state.c
      . drivers/char/drm-4.0/r128_state.c
    - Fixed audio sampe size in drivers/sound/sb_audio.c (bk).
    - Fixed local root exploit in fs/isofs/rock.c (Ernie Petrides).
    - Clear b_data in journal_get_descriptor_buffer in fs/jbd/journal.c
      (Ted Ts'o).
    - Zero log buffer at mount time in fs/xfs/xfs_log.c (bk).
    - Fixed boundary checks for GUSAGE/SUSAGE in drivers/usb/hiddev.c.

 -- Sven Luther <luther@debian.org>  Wed, 14 Apr 2004 15:30:08 +0200

kernel-patch-2.4.25-powerpc (2.4.25-7) unstable; urgency=low

  * Increase kernel size for chrp boot loader.
  * Built the serial driver modular on Power4. (Closes: #242548).
  * Adapted agp-uninorth patch mentioned by Michel Daenzer. (Closes: #242553)
  * Made sure trying to load the partport_pc module on pmacs didn't happen.
    May break on oldwolrd though, no idea. (Closes: #237601)

 -- Sven Luther <luther@debian.org>  Thu,  8 Apr 2004 23:45:11 +0200

kernel-patch-2.4.25-powerpc (2.4.25-6) unstable; urgency=low

  * ReiserFS, JFS and XFS are now builtin in every config except
    powerpc-small.
  * Added more verbose SMP system description. (Closes: #241671) 

 -- Sven Luther <luther@debian.org>  Fri,  2 Apr 2004 22:23:09 +0200

kernel-patch-2.4.25-powerpc (2.4.25-5) unstable; urgency=low

  * Added Promise Ultra 100 TX2 driver for Apple XServe.

 -- Sven Luther <luther@debian.org>  Sat, 27 Mar 2004 13:41:02 +0100

kernel-patch-2.4.25-powerpc (2.4.25-4) unstable; urgency=low

  * Adapted to the patch that actually made it into kernel-package.
  * Added asm/delay.h include to kahlua driver. (Closes: #226333, #217506)
  * Switched to using kernel-tree-2.4.25 instead of kernel-source-2.4.25.

 -- Sven Luther <luther@debian.org>  Fri, 19 Mar 2004 14:52:50 +0100

kernel-patch-2.4.25-powerpc (2.4.25-3) unstable; urgency=low

  * Fixed PReP builtin initrd build script.
  * Build with fixed kernel-package, so no need for a local hack.
  * Added missing radeon drm module.
  * Added agpgart module for Apple UniNorth. (Closes: #122209)

 -- Sven Luther <luther@debian.org>  Wed, 17 Mar 2004 17:11:54 +0100

kernel-patch-2.4.25-powerpc (2.4.25-2) unstable; urgency=low

  * Added proper changelog and other stuff to kernel-build and kernel-image
    files. Also cleaned up short description a bit.
  * Fixed CPUFREQ to run only on pmacs, since it was causing OOPSes on chrp
    hardware.
  * Added Power3 config too. Not sure it will work as is though.

 -- Sven Luther <luther@debian.org>  Thu,  4 Mar 2004 10:41:54 +0100

kernel-patch-2.4.25-powerpc (2.4.25-1) unstable; urgency=low

  * Now based on the 2.4 -benh tree, using 2.4.25-benh1 tag.
  * Added copying info for kernel-build package.
  * Enabled Amiga SFS filesystem write support.
  * Added builtin USB UHCI support.
  * Enabled serial console & sym53c8xx_2 scsi driver builtin,
    for IBM RS6000 B50 users (and others).
  * Added Power4 config, enables 32bit kernel for Power4 based IBM hardware as
    well as Powermacs G5s.



=== debian/control ===
Source: kernel-patch-powerpc-2.4.27
Section: devel
Priority: optional
Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27, m4
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Sven Luther <luther@debian.org>
Standards-Version: 3.6.1

Package: kernel-patch-2.4.27-apus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for APUS
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/APUS tree from http://linux-apus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-apus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/APUS kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-apus/debian.README.gz for details.

Package: kernel-image-2.4.27-apus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-apus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/APUS kernel binary image.
 This package contains the Linux/APUS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for Amiga PowerUP System (APUS) computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-apus

Package: kernel-build-2.4.27-apus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-apus
Description: build infrastructure for kernel version 2.4.27-apus
 .
 Together with kernel-headers-2.4.27-apus, this package provides the
 infrastructure for building additional modules for 2.4.27-apus

Package: kernel-patch-2.4.27-nubus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for nubus
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/nubus tree from http://linux-nubus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-nubus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/nubus kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-nubus/debian.README.gz for details.

Package: kernel-image-2.4.27-nubus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-nubus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/nubus kernel binary image.
 This package contains the Linux/nubus kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for NuBus Powermac computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-

Package: kernel-build-2.4.27-nubus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-nubus
Description: build infrastructure for kernel version 2.4.27-nubus
 .
 Together with kernel-headers-2.4.27-nubus, this package provides the
 infrastructure for building additional modules for 2.4.27-nubus

Package: kernel-patch-2.4.27-powerpc
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for nubus
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the now abandoned linuxppc_2_4-benh tree.

Package: kernel-headers-2.4.27-powerpc
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/nubus kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-powerpc/debian.README.gz for details.

Package: kernel-image-2.4.27-powerpc
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-powerpc
Depends: mkvmlinuz
Suggests: kernel-doc-2.4.27
Provides: kernel-image, kernel-image-2.4.27-powerpc-chrp, kernel-image-2.4.27-powerpc-chrp-rs6k, kernel-image-2.4.27-powerpc-pmac, kernel-image-2.4.27-powerpc-prep, kernel-modules-2.4.27-powerpc
Replaces: kernel-image-2.4.27-powerpc-chrp, kernel-image-2.4.27-powerpc-chrp-rs6k, kernel-image-2.4.27-powerpc-pmac, kernel-image-2.4.27-powerpc-prep, kernel-modules-2.4.27-powerpc
Conflicts: kernel-image-2.4.27-powerpc-chrp, kernel-image-2.4.27-powerpc-chrp-rs6k, kernel-image-2.4.27-powerpc-pmac, kernel-image-2.4.27-powerpc-prep, kernel-modules-2.4.27-powerpc
Description: Linux/PowerPC kernel binary image for the powerpc flavour
Description: Linux/PowerPC kernel binary image for the powerpc flavour
Description: Linux/PowerPC kernel binary image for the powerpc flavour
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.
 .
 This version contains the kernel images for uniprocessor PowerPC machines,
 Using from the ppc601 upto the latest G4 class processors.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-powerpc

Package: kernel-build-2.4.27-powerpc
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-powerpc
Description: build infrastructure for kernel version 2.4.27-powerpc
 .
 Together with kernel-headers-2.4.27-powerpc, this package provides the
 infrastructure for building additional modules for 2.4.27-powerpc

Package: kernel-image-2.4.27-powerpc-smp
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-powerpc
Depends: mkvmlinuz
Suggests: kernel-doc-2.4.27
Provides: kernel-image, kernel-image-2.4.27-powerpc-smp-chrp, kernel-image-2.4.27-powerpc-smp-chrp-rs6k, kernel-image-2.4.27-powerpc-smp-pmac, kernel-image-2.4.27-powerpc-smp-prep, kernel-modules-2.4.27-powerpc-smp
Replaces: kernel-image-2.4.27-powerpc-smp-chrp, kernel-image-2.4.27-powerpc-smp-chrp-rs6k, kernel-image-2.4.27-powerpc-smp-pmac, kernel-image-2.4.27-powerpc-smp-prep, kernel-modules-2.4.27-powerpc-smp
Conflicts: kernel-image-2.4.27-powerpc-smp-chrp, kernel-image-2.4.27-powerpc-smp-chrp-rs6k, kernel-image-2.4.27-powerpc-smp-pmac, kernel-image-2.4.27-powerpc-smp-prep, kernel-modules-2.4.27-powerpc-smp
Description: Linux/PowerPC kernel binary image for the powerpc-smp flavour
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.
 .
 This version contains the kernel images for multiprocessor PowerPC machines,
 Using from the ppc601 upto the latest G4 class processors.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-powerpc

Package: kernel-build-2.4.27-powerpc-smp
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-powerpc
Description: build infrastructure for kernel version 2.4.27-powerpc-smp
 .
 Together with kernel-headers-2.4.27-powerpc-smp, this package provides the
 infrastructure for building additional modules for 2.4.27-powerpc-smp

Package: kernel-image-2.4.27-powerpc-small
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-powerpc
Suggests: kernel-doc-2.4.27
Depends: mkvmlinuz
Provides: kernel-image, kernel-image-2.4.27-powerpc-small-chrp, kernel-image-2.4.27-powerpc-small-chrp-rs6k, kernel-image-2.4.27-powerpc-small-pmac, kernel-image-2.4.27-powerpc-small-prep, kernel-modules-2.4.27-powerpc-small
Replaces: kernel-image-2.4.27-powerpc-small-chrp, kernel-image-2.4.27-powerpc-small-chrp-rs6k, kernel-image-2.4.27-powerpc-small-pmac, kernel-image-2.4.27-powerpc-small-prep, kernel-modules-2.4.27-powerpc-small
Conflicts: kernel-image-2.4.27-powerpc-small-chrp, kernel-image-2.4.27-powerpc-small-chrp-rs6k, kernel-image-2.4.27-powerpc-small-pmac, kernel-image-2.4.27-powerpc-small-prep, kernel-modules-2.4.27-powerpc-small
Description: Linux/PowerPC kernel binary image for the powerpc-small flavour
 This package contains the Linux/PowerPC kernel image, the
 System.map file, and the modules built by the package.
 .
 This version contains the kernel images for use with miboot OldWorld
 PowerMac Machines. It should be used exclusively for debian-installer.
 You probably don't want this package, but kernel-image-2.4.27-powerpc.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-powerpc

Package: kernel-build-2.4.27-powerpc-small
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-powerpc
Description: build infrastructure for kernel version 2.4.27-powerpc-small
 .
 Together with kernel-headers-2.4.27-powerpc-small, this package provides the
 infrastructure for building additional modules for 2.4.27-powerpc-small

## kernel-patch-powerpc-2.4.27 2.4.27-10

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-10) UNRELEASED; urgency=low

  * Build against kernel-source 2.4.27-10 (Simon Horman)
  * Changed the uploader to myself. (Simon Horman)

 -- Simon Horman <horms@debian.org>  Tue, 10 May 2005 19:30:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kernel-patch-powerpc-2.4.27
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27, m4
+Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27-10, m4
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Sven Luther <luther@debian.org>
+Uploaders: Simon Horman <horms@debian.org>
 Standards-Version: 3.6.1
 
 Package: kernel-patch-2.4.27-apus

## kernel-patch-powerpc-2.4.27 2.4.27-10sarge5

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-10sarge5) stable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge5:
    * 233_ia64-sparc-cross-region-mappings.diff
      [SECURITY] Prevent cross-region mappings on ia64 and sparc which
      could be used in a local DoS attack (system crash)
      See CVE-2006-4538
    * 234_atm-clip-freed-skb-deref.diff
      [SECURITY] Avoid dereferencing an already freed skb, preventing a
      potential remote DoS (system crash) vector
      See CVE-2006-4997
    * 235_ppc-alignment-exception-table-check.diff
      [SECURITY][ppc] Avoid potential DoS which can be triggered by some
      futex ops
      See CVE-2006-5649
    * 236_s390-uaccess-memleak.diff
      [SECURITY][s390] Fix memory leak in copy_from_user by clearing the
      remaining bytes of the kernel buffer after a fault on the userspace
      address in copy_from_user()
      See CVE-2006-5174
    * 237_smbfs-honor-mount-opts.diff
      Honor uid, gid and mode mount options for smbfs even when unix extensions
      are enabled (closes: #310982)
      See CVE-2006-5871
    * 238_ppc-hid0-dos.diff
      [SECURITY] [ppc] Fix local DoS by clearing HID0 attention enable on
      PPC970 at boot time
      See CVE-2006-4093

 -- dann frazier <dannf@debian.org>  Tue,  5 Dec 2006 02:23:21 -0700

kernel-patch-powerpc-2.4.27 (2.4.27-10sarge4) stable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge4:
    * [ERRATA] 213_madvise_remove-restrict.diff
      [SECURITY] The 2.4.27-10sarge3 changelog associated this patch with
      CVE-2006-1524. However, this patch fixes an mprotect issue that was
      split off from the original report into CVE-2006-2071. 2.4.27 is not
      vulnerable to CVE-2006-1524 the madvise_remove issue.
      See CVE-2006-2071
    * 223_nfs-handle-long-symlinks.diff
      [SECURITY] Fix buffer overflow in NFS readline handling that allows a
      remote server to cause a denial of service (crash) via a long symlink
      See CVE-2005-4798
    * 224_cdrom-bad-cgc.buflen-assign.diff
      [SECURITY] Fix buffer overflow in dvd_read_bca which could potentially
      be used by a local user to trigger a buffer overflow via a specially
      crafted DVD, USB stick, or similar automatically mounted device.
      See CVE-2006-2935
    * 225_sg-no-mmap-VM_IO.diff
      [SECURITY] Fix DoS vulnerability whereby a local user could attempt
      a dio/mmap and cause the sg driver to oops.
      See CVE-2006-1528
    * 226_snmp-nat-mem-corruption-fix.diff
      [SECURITY] Fix memory corruption in snmp_trap_decode
      See CVE-2006-2444
    * 227_kfree_skb.diff
      [SECURITY] Fix race between kfree_skb and __skb_unlink
      See CVE-2006-2446
    * 228_sparc-mb-extraneous-semicolons.diff
      Fix a syntax error caused by extranous semicolons in smp_mb() macros
      which resulted in a build failure with 227_kfree_skb.diff
    * 229_sctp-priv-elevation.diff, 230_sctp-priv-elevation-2.diff
      [SECURITY] Fix SCTP privelege escalation
      See CVE-2006-3745
    * 231_udf-deadlock.diff
      [SECURITY] Fix possible UDF deadlock and memory corruption
      See CVE-2006-4145
    * 232_sparc-membar-extraneous-semicolons.diff
      Fix an additional syntax error caused by extraneous semicolons
      in membar macros on sparc

 -- dann frazier <dannf@debian.org>  Sun,  3 Sep 2006 19:01:32 -0600

kernel-patch-powerpc-2.4.27 (2.4.27-10sarge3) stable-security; urgency=high

  * Add missing build dependency on modutils
  * Build against kernel-tree-2.4.27-10sarge3:
    * 207_smbfs-chroot-escape.diff
      [SECURITY] Fix directory traversal vulnerability in smbfs that permits
      local users to escape chroot restrictions
      See CVE-2006-1864
    * 208_ia64-die_if_kernel-returns.diff
      [SECURITY][ia64] Fix a potential local DoS on ia64 systems caused by
      an incorrect 'noreturn' attribute on die_if_kernel()
      See CVE-2006-0742
    * 209_sctp-discard-unexpected-in-closed.diff
      [SECURITY] Fix remote DoS in SCTP code by discarding unexpected chunks
      received in CLOSED state instead of calling BUG()
      See CVE-2006-2271
    * 210_ipv4-id-no-increment.diff
      [SECURITY] Fix vulnerability that allows remote attackers to conduct an
      Idle Scan attack, bypassing intended protections against such attacks
      See CVE-2006-1242
    * 211_usb-gadget-rndis-bufoverflow.diff
      [SECURITY] Fix buffer overflow in the USB Gadget RNDIS implementation
      that allows for a remote DoS attack (kmalloc'd memory corruption)
      See CVE-2006-1368
    * 212_ipv4-sin_zero_clear.diff
      [SECURITY] Fix local information leak in af_inet code
      See CVE-2006-1343
    * 213_madvise_remove-restrict.diff
      [SECURITY] Fix vulnerability that allows local users to bypass IPC
      permissions and replace portions of read-only tmpfs files with zeroes.
      See CVE-2006-1524
    * 214_mcast-ip-route-null-deref.diff
      [SECURITY] Fix local DoS vulnerability that allows local users to panic
      a system by requesting a route for a multicast IP
      See CVE-2006-1525
    * 215_sctp-fragment-recurse.diff
      [SECURITY] Fix remote DoS vulnerability that can lead to infinite
      recursion when a packet containing two or more DATA fragments is received
      See CVE-2006-2274
    * 216_sctp-fragmented-receive-fix.diff
      [SECURITY] Fix remote DoS vulnerability that allows IP fragmented
      COOKIE_ECHO and HEARTBEAT SCTP control chunks to cause a kernel panic
      See CVE-2006-2272
    * 217_amd64-fp-reg-leak.diff
      [SECURITY][amd64] Fix an information leak that allows a process to see
      a portion of the floating point state of other processes, possibly
      exposing sensitive information.
      See CVE-2006-1056
    * 218_do_add_counters-race.diff
      [SECURITY] Fix race condition in the do_add_counters() function in
      netfilter that allows local users with CAP_NET_ADMIN capabilities to
      read kernel memory


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kernel-patch-powerpc-2.4.27
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27-10, m4
+Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27, m4, modutils
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Simon Horman <horms@debian.org>
 Standards-Version: 3.6.1

=== debian/rules ===
#!/usr/bin/make -f 

# debian/rules for kernel-patch-powerpc

# original version by Jens Schmalzing <jensen@debian.org>
# modified by Sven Luther <luther@debian.org>

# debhelper compatibility version
export DH_COMPAT=4

# set the build architecture if necessary
DEB_HOST_ARCH ?= $(shell dpkg --print-architecture)

# the archs, subarchs and flavours we are building for
archs := $(shell grep ^archs: debian/flavours | sed -e 's/^archs: *//')
arch := $(DEB_HOST_ARCH)
subarchs := $(shell grep "^subarchs $(arch):" debian/flavours | sed -e 's/^subarchs $(arch): *//')
flavours := $(shell grep "^flavours $(subarch):" debian/flavours | sed -e 's/^flavours $(subarch): *//')
makekpkg := $(shell grep "^make-kpkg match $(subarch):" debian/flavours | sed -e 's/^make-kpkg match $(subarch): *//')
ifeq (,$(makekpkg))
makekpkg := $(subarch)
endif

# cut the upstream version and the Debian revision from the changelog
kernel	:= $(shell head -1 debian/changelog | sed 's/^.*(\(.*\)-.*).*$$/\1/')
debian	:= $(shell head -1 debian/changelog | sed 's/^.*(.*-\(.*\)).*$$/\1/')
version	:= $(shell head -1 debian/changelog | sed 's/^.*(\(.*\)).*$$/\1/')

#some files in debian/ get version numbers and stuff updated on the fly
M4 = m4 -DM4VERSION="$(version)" -DM4KERNEL="$(kernel)" -DM4ARCH="$(arch)" -DM4SUBARCH="$(subarch)" -DM4FLAVOUR="$(flavour)"
debian/%: debian/%.m4
	$(M4) $< > $@

# installation of files and programs
INSTALL_DATA	= install -m 644 -o root -g root
INSTALL_EXEC	= install -m 755 -o root -g root

# build locations - point TMP to a tmpfs for best performance
TMP ?= $(CURDIR)/tmp
KSOURCE	 = $(TMP)/kernel-source-$(kernel)
KSUBARCH = $(TMP)/kernel-source-$(kernel)-$(subarch)
KFLAVOUR = $(TMP)/kernel-source-$(kernel)-$(subarch)-$(flavour)
KDUMMYSA = $(TMP)/kernel-image-$(kernel)-$(subarch)_$(version)_powerpc.deb
KDUMMY   = $(TMP)/kernel-image-$(kernel)-$(flavour)_$(version)_powerpc.deb
KHEADERS = $(TMP)/kernel-headers-$(kernel)-$(subarch)_$(version)_powerpc.deb
KSCRIPTS = $(TMP)/scripts/$(flavour)
KSCRIPTSA= $(TMP)/scripts/$(subarch)

# install locations
KHEADERDIR = $(CURDIR)/debian/kernel-headers-$(kernel)-$(subarch)
KPATCH    = $(CURDIR)/debian/kernel-patch-powerpc-$(subarch)/usr/src/kernel-patches/powerpc/$(kernel)-$(subarch)
KBUILD    = $(CURDIR)/debian/kernel-build-$(kernel)-$(flavour)
KBUILDSA    = $(CURDIR)/debian/kernel-build-$(kernel)-$(subarch)
KBUILDDOC = $(KBUILD)/usr/share/doc/kernel-build-$(kernel)-$(flavour)
KBUILDDOCSA = $(KBUILDSA)/usr/share/doc/kernel-build-$(kernel)-$(subarch)
KSRC      = $(KBUILD)/usr/src/kernel-build-$(kernel)-$(flavour)
KSRCSA     = $(KBUILDSA)/usr/src/kernel-build-$(kernel)-$(subarch)
KIMAGE    = $(CURDIR)/debian/kernel-image-$(kernel)-$(flavour)
KIMAGESA  = $(CURDIR)/debian/kernel-image-$(kernel)-$(subarch)
KIMAGEDOC = $(KIMAGE)/usr/share/doc/kernel-image-$(kernel)-$(flavour)
KIMAGEDOCSA = $(KIMAGESA)/usr/share/doc/kernel-image-$(kernel)-$(subarch)
KLIB      = $(KIMAGE)/usr/lib/kernel-image-$(kernel)-$(flavour)
KLIBSA      = $(KIMAGESA)/usr/lib/kernel-image-$(kernel)-$(subarch)

# environment for make-kpkg
export APPEND_TO_VERSION=-$(flavour)
export CONCURRENCY_LEVEL=8
# Don't know why i have to force this here, apparently make-kpkg doesn't 
# get passed the -r command of the dpkg-buildpackage invocation :/
MAKEKPKG=make-kpkg --rootcmd fakeroot

# the configure target is responsible for setting up the build arena,
# i.e. unpacking the Debian kernel source, applying the PowerPC patch,
# and preparing a separate build tree for each flavour.

configure: stamp-configure

# the following is the first of a number of loop implementations using
# recursive make.  This provides much easier access to the loop
# variable than extracting it from the target.  In order to safeguard
# against infinite loops, the recursion level is checked for the
# critical targets.  This particular example calls a common target,
# then runs the loop, and also includes some common commands to
# process after the loop.

stamp-configure: \
stamp-configure-arch-$(arch) \
$(foreach subarch,$(subarchs),stamp-configure-subarch-$(subarch))
	touch $@

# Per arch configure processing.
# We unpack the main kernel-source tree and prepare it for our needs.
stamp-configure-arch-$(arch):
	test -d $(dir $(KSOURCE)) || mkdir -p $(dir $(KSOURCE))
	tar jxCf $(dir $(KSOURCE)) /usr/src/kernel-source-$(kernel).tar.bz2
	cd $(KSOURCE); /usr/src/kernel-patches/all/$(kernel)/apply/debian

	test -d $(KSOURCE)/debian || mkdir $(KSOURCE)/debian
	cp -p /usr/share/doc/kernel-source-$(kernel)/changelog.Debian.gz \
		$(KSOURCE)/debian/changelog.Debian.kernel-source.gz
	cd debian; cp -p changelog control copyright $(KSOURCE)/debian
	> $(KSOURCE)/debian/official

	touch $@

ifeq (0,$(MAKELEVEL))

stamp-configure-subarch-%:
	$(MAKE) -f debian/rules stamp-configure-subarch-$* subarch=$*
	touch $@

else
ifeq (1,$(MAKELEVEL))

# Per subarch configure processing.
# We copy the kernel-source tree, apply the subarch patches
# add subarch entries in the control file and add the default
# subarch configuration file.
stamp-configure-subarch-$(subarch): \
stamp-configure-prepare-subarch-$(subarch) \
$(foreach flavour,$(flavours),stamp-configure-flavour-$(subarch)-$(flavour))

stamp-configure-prepare-subarch-$(subarch):
	test -d $(dir $(KSUBARCH)) || mkdir -p $(dir $(KSUBARCH))
	cp -al $(KSOURCE) $(KSUBARCH)

	rm -f $(KSUBARCH)/debian/control
	$(M4) debian/control-arch-$(arch).m4 > $(KSUBARCH)/debian/control
	$(M4) debian/control-subarch-$(arch)-$(subarch).m4 >> $(KSUBARCH)/debian/control
	zcat patches/debian-$(subarch).diff.gz | patch -p1 -d $(KSUBARCH) 
	rm -f $(KSUBARCH)/.config
	-$(MAKE) --no-print-directory -s -C config $(subarch).default >$(KSUBARCH)/.config

	touch $@

stamp-configure-flavour-$(subarch)-%:
	$(MAKE) -f debian/rules stamp-configure-flavour-$(subarch)-$* subarch=$(subarch) flavour=$*

else
ifeq (2,$(MAKELEVEL))

# Per flavour configure processing.
# We copy the kernel-source tree, add flavour entries in the
# contol file and add the flavour configuration file.
stamp-configure-flavour-$(subarch)-$(flavour):
	test -d $(dir $(KFLAVOUR)) || mkdir -p $(dir $(KFLAVOUR))
	cp -al $(KSUBARCH) $(KFLAVOUR)

	rm -f $(KFLAVOUR)/debian/control
	$(M4) debian/control-arch-$(arch).m4 > $(KFLAVOUR)/debian/control
	$(M4) debian/control-subarch-$(arch)-$(subarch).m4 >> $(KFLAVOUR)/debian/control
	$(M4) debian/control-flavour-$(arch)-$(subarch)-$(flavour).m4 >> $(KFLAVOUR)/debian/control
	rm -f $(KFLAVOUR)/.config
	-$(MAKE) --no-print-directory -s -C config $(flavour) > $(KFLAVOUR)/.config
ifeq (powerpc,$(subarch))
	cd debian; cp -p post-install $(KFLAVOUR)/debian
endif
	touch $@

endif
endif
endif

# the build target is responsible for, well, building the kernels and
# modules for each flavour.  To that end, it uses the build target of
# make-kpkg.

ifeq ($(DEB_HOST_ARCH),powerpc)
build: stamp-build
else
build:
endif

stamp-build: \
stamp-configure \
stamp-build-$(arch) \
$(foreach subarch,$(subarchs),stamp-build-subarch-$(subarch))
	touch $@

# Per arch build processing.
stamp-build-$(arch):
	dh_testdir
	touch $@

ifeq (0,$(MAKELEVEL))

stamp-build-subarch-%:
	$(MAKE) -f debian/rules stamp-build-subarch-$* subarch=$*

else
ifeq (1,$(MAKELEVEL))

# Per subarch build processing.
stamp-build-subarch-$(subarch): \
$(foreach flavour,$(flavours),stamp-build-flavour-$(subarch)-$(flavour))
	cd $(KSUBARCH); \
	MFLAGS="$(filter-out -j --j%,$(MFLAGS))" \
	MAKEFLAGS="$(filter-out -j --j%,$(MAKEFLAGS))" \
	$(MAKEKPKG) --subarch $(makekpkg) --append-to-version -$(subarch) kernel_headers
ifeq (,$(flavours))
	# Let's build subarches who have no flavours here.
	cd $(KSUBARCH); \
	MFLAGS="$(filter-out -j --j%,$(MFLAGS))" \
	MAKEFLAGS="$(filter-out -j --j%,$(MAKEFLAGS))" \
	$(MAKEKPKG) --subarch $(makekpkg) --append-to-version -$(subarch) build
endif
	touch $@

stamp-build-flavour-$(subarch)-%:
	$(MAKE) -f debian/rules stamp-build-flavour-$(subarch)-$* subarch=$(subarch) flavour=$*

else
ifeq (2,$(MAKELEVEL))

## kernel-patch-powerpc-2.4.27 2.4.27-10sarge7

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-10sarge7) oldstable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge7:
    * [ERRATA] 268_ext2_readdir-f_pos-fix-2.diff
      Fix regression caused by 258_ext2_readdir-f_pos-fix.diff which can
      cause lock ups on ext2 mounts.

 -- dann frazier <dannf@debian.org>  Tue, 04 Mar 2008 00:25:17 -0700

kernel-patch-powerpc-2.4.27 (2.4.27-10sarge6) oldstable-security; urgency=high

  * Build against kernel-tree-2.4.27-10sarge6:
    * 239_mincore-hang.diff
      [SECURITY] Fix a potential deadlock in mincore
      See CVE-2006-4814
    * [ERRATA] 240_smbfs-honor-mount-opts-2.diff
      Fix some regressions with respect to file types (e.g., symlinks)
      introduced by the fix for CVE-2006-5871 in 2.4.27-10sarge5
    * 241_bluetooth-capi-size-checks.diff
      [SECURITY] Add additional length checks to avoid potential remote
      DoS attacks in the handling of CAPI messages in the bluetooth driver
      See CVE-2006-6106
    * 242_ext3-fsfuzz.diff
      [SECURITY] Fix a DoS vulnerability that can be triggered by a local
      user with the ability to mount a corrupted ext3 filesystem
      See CVE-2006-6053
    * 243_ipv6_fl_socklist-no-share.diff
      [SECURITY] Fix local DoS vulnerability caused by inadvertently sharing
      ipv6_fl_socklist between the listening socket and the socket created
      for connection.
      See CVE-2007-1592
    * 244_bluetooth-l2cap-hci-info-leaks.diff
      245_bluetooth-l2cap-hci-info-leaks-2.diff
      [SECURITY] Fix information leaks in setsockopt() implementations
      See CVE-2007-1353
    * 246_dn_fib-out-of-bounds.diff
      266_ipv4-fib_props-out-of-bounds.diff
      267_ipv4-fib_props-out-of-bounds-2.diff
      [SECURITY] Fix out of bounds condition in dn_fib_props[]
      See CVE-2007-2172
    * 247_reset-pdeathsig-on-suid.diff
      [SECURITY] Fix potential privilege escalation caused by improper
      clearing of the child process' pdeath signal.
      Thanks to Marcel Holtmann for the patch.
      See CVE-2007-3848
    * 248_random-reseed-sizeof-fix.diff
      [SECURITY] Fix a bug in the random driver reseeding code that reduces
      entropy by reseeding a smaller buffer size than expected
      See CVE-2007-4311
    * 249_openpromfs-signedness-bug.diff
      250_openpromfs-checks-1.diff
      251_openpromfs-checks-2.diff
      252_openpromfs-checks-3.diff
      [SECURITY] Fix a number of data checks in openprom code
      See CVE-2004-2731
    * 253_coredump-only-to-same-uid.diff
      [SECURITY] Fix an issue where core dumping over a file that
      already exists retains the ownership of the original file
      See CVE-2007-6206
    * 254_cramfs-check-block-length.diff
      [SECURITY] Add a sanity check of the block length in cramfs_readpage to
      avoid a potential oops condition
      See CVE-2006-5823
    * 255_pppoe-socket-release-mem-leak.diff
      [SECURITY] fix unpriveleged memory leak when a PPPoE socket is released
      after connect but before PPPIOCGCHAN ioctl is called upon it
      See CVE-2007-2525
    * 256_i4l-isdn_ioctl-mem-overrun.diff
      [SECURITY] Fix potential isdn ioctl memory overrun
      See CVE-2007-6151
    * 257_isdn-net-overflow.diff
      [SECURITY] Fix potential overflows in the ISDN subsystem
      See CVE-2007-6063
    * 258_ext2_readdir-f_pos-fix.diff,
      259_ext2_readdir-infinite-loop.diff,
      260_ext2-skip-pages-past-num-blocks.diff
      [SECURITY] Add some sanity checking for a corrupted i_size in
      ext2_find_entry()
      See CVE-2006-6054
    * 261_listxattr-mem-corruption.diff
      [SECURITY] Fix userspace corruption vulnerability caused by
      incorrectly promoted return values in bad_inode_ops
      This patches changes the kernel ABI.
      See CVE-2006-5753
    * 262_aacraid-ioctl-perm-check.diff
      [SECURITY] Require admin capabilities to issue ioctls to aacraid devices
      See CVE-2007-4308
    * 263_usb-pwc-disconnect-block.diff
      [SECURITY] Fix issue with unplugging webcams that use the pwc driver.
      If userspace still has the device open it can result, the driver would
      wait for the device to close, blocking the USB subsystem.
      See CVE-2007-5093
    * 264_mmap-VM_DONTEXPAND.diff
      [SECURITY] Add VM_DONTEXPAND to vm_flags in drivers that register
      a fault handler but do not bounds check the offset argument
      See CVE-2008-0007
    * 265_powerpc-chrp-null-deref.diff
      [SECURITY][powerpc] Fix NULL pointer dereference if get_property
      fails on the subarchitecture
      See CVE-2007-6694

 -- dann frazier <dannf@debian.org>  Mon, 18 Feb 2008 04:19:06 -0700

## kernel-patch-powerpc-2.4.27 2.4.27-11

=== debian/changelog ===
kernel-patch-powerpc-2.4.27 (2.4.27-11) unstable; urgency=low

  * Added build debpends on gcc-3.3 as the default gcc
    is being changed from 3.3 to 4.0. (Simon Horman)
  * Dropped the powerpc subarch, as it is covered by 2.6 kernels only, keeping
    only nubus and apus, which don't have 2.6 kernels yet. (Sven Luther)

 -- Sven Luther <luther@debian.org>  Thu, 22 Sep 2005 20:44:16 +0200

=== debian/control ===
Source: kernel-patch-powerpc-2.4.27
Section: devel
Priority: optional
Build-Depends: debhelper (>=4), bzip2, kernel-package, kernel-tree-2.4.27-11, m4
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Sven Luther <luther@debian.org>
Standards-Version: 3.6.1

Package: kernel-patch-2.4.27-apus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for APUS
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/APUS tree from http://linux-apus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-apus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/APUS kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-apus/debian.README.gz for details.

Package: kernel-image-2.4.27-apus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-apus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/APUS kernel binary image.
 This package contains the Linux/APUS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for Amiga PowerUP System (APUS) computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.27-apus

Package: kernel-build-2.4.27-apus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-apus
Description: build infrastructure for kernel version 2.4.27-apus
 .
 Together with kernel-headers-2.4.27-apus, this package provides the
 infrastructure for building additional modules for 2.4.27-apus

Package: kernel-patch-2.4.27-nubus
Architecture: powerpc
Depends: kernel-source-2.4.27
Description: Diffs to the kernel source for nubus
 The PowerPC kernel is maintained in a multitude of source trees
 separate from Linus Torvalds' official copy.  This patch is based on
 the Linux/nubus tree from http://linux-nubus.sourceforge.net, which in turn
 is based on the BitKeeper tree used by most active PowerPC developers (See
 http://penguinppc.org/dev/kernel.shtml for info).

Package: kernel-headers-2.4.27-nubus
Section: devel
Architecture: powerpc
Provides: kernel-headers, kernel-headers-2.4
Description: Linux/nubus kernel headers.
 Read /usr/share/doc/kernel-headers-2.4.27-nubus/debian.README.gz for details.

Package: kernel-image-2.4.27-nubus
Section: base
Architecture: powerpc
Recommends: kernel-headers-2.4.27-nubus
Suggests: kernel-doc-2.4.27
Provides: kernel-image
Description: Linux/nubus kernel binary image.
 This package contains the Linux/nubus kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for NuBus Powermac computers.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-

Package: kernel-build-2.4.27-nubus
Section: devel
Architecture: powerpc
Depends: kernel-headers-2.4.27-nubus
Description: build infrastructure for kernel version 2.4.27-nubus
 .
 Together with kernel-headers-2.4.27-nubus, this package provides the
 infrastructure for building additional modules for 2.4.27-nubus

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,10 @@
 debian	:= $(shell head -1 debian/changelog | sed 's/^.*(.*-\(.*\)).*$$/\1/')
 version	:= $(shell head -1 debian/changelog | sed 's/^.*(\(.*\)).*$$/\1/')
 
+kernel-tree := $(kernel)-11
+
 #some files in debian/ get version numbers and stuff updated on the fly
-M4 = m4 -DM4VERSION="$(version)" -DM4KERNEL="$(kernel)" -DM4ARCH="$(arch)" -DM4SUBARCH="$(subarch)" -DM4FLAVOUR="$(flavour)"
+M4 = m4 -DM4VERSION="$(version)" -DM4KERNEL="$(kernel)" -DM4ARCH="$(arch)" -DM4SUBARCH="$(subarch)" -DM4FLAVOUR="$(flavour)" -DM4KTREE="$(kernel-tree)"
 debian/%: debian/%.m4
 	$(M4) $< > $@
 
@@ -207,8 +209,3 @@
 	touch $@
 
 stamp-build-flavour-$(subarch)-%:
-	$(MAKE) -f debian/rules stamp-build-flavour-$(subarch)-$* subarch=$(subarch) flavour=$*
-
-else
-ifeq (2,$(MAKELEVEL))
-
